> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Update a simulation suite

PUT https://api.synthflow.ai/v2/simulation_suites/{suite_id}
Content-Type: application/json

Update an existing simulation suite.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/update-simulation-suite

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `suite_id` (string, required) — Simulation suite ID.

### Body (application/json)

This endpoint expects a SimulationSuiteUpdateIn.

- `name` (string, optional, nullable) — New name for the simulation suite
- `model_id` (string, optional, nullable) — New agent model ID for the suite

## Response

### 200

200

- `status` (string, optional) — Whether the request was successful.
- `response` (SimulationSuiteReadOut, optional)

## Errors

### 400 Bad Request Error

400

### 404 Not Found Error

404

## Types

### SimulationSuiteReadOut

- `id` (string, optional) — Unique identifier for the simulation suite
- `name` (string, optional) — Name of the simulation suite
- `model_id` (string, optional) — Agent model ID this suite is for
- `workspace_id` (string, optional) — Workspace ID this suite belongs to
- `language` (string, optional, default: en-US) — Language locale for the persona agent and test cases (e.g., 'en-US', 'es-ES', 'fr-FR')
- `cases` (list of SimulationCaseReadOut, optional) — Test cases included in this suite
- `agent` (AgentListItem, optional) — Agent information associated with this suite
- `created_at` (datetime, optional) — When the suite was created
- `updated_at` (datetime, optional) — When the suite was last updated

### SimulationCaseReadOut

Simulation case details.

- `simulation_case_id` (string, optional)
- `workspace_id` (string, optional)
- `suite_id` (string, optional, nullable) — ID of the simulation suite this case belongs to.
- `name` (string, optional)
- `prompt` (string, optional)
- `type` (enum, optional)
  - Allowed values: `custom`, `agent_based`
- `success_criteria` (list of string, optional)
- `call_success_type` (enum, optional)
  - Allowed values: `all`, `any`
- `base_agent` (SimulationCaseReadOutBaseAgent, optional, nullable)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

### AgentListItem

- `id` (string, optional)
- `name` (string, optional)
- `avatar` (string, optional, nullable)

### SimulationCaseReadOutBaseAgent

- `model_id` (string, optional)
- `agent_name` (string, optional)
- `agent_type` (string, optional)
- `voice_engine_type` (string, optional)
- `phone_number` (string, optional, nullable)
- `updated_at` (datetime, optional)
- `image_url` (string, optional, nullable)

## Examples

**Request**

```json
{
  "name": "Updated Sales Agent Test Suite"
}
```

**Response**

```json
{
  "status": "ok",
  "response": {
    "simulation_suite": {
      "id": "9ad09ad3-9c22-441e-ae35-c05016a09786"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786"

payload = { "name": "Updated Sales Agent Test Suite" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786"

	payload := strings.NewReader("{\n  \"name\": \"Updated Sales Agent Test Suite\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Updated Sales Agent Test Suite\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Updated Sales Agent Test Suite\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Updated Sales Agent Test Suite\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Updated Sales Agent Test Suite"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```